import { Bundle } from "@bluelibs/core";
import { Channel, Connection, Options } from "amqplib";
import { RabbitMQBundleConfigType } from "./defs";
export declare class RabbitMQBundle extends Bundle<RabbitMQBundleConfigType, RabbitMQBundleConfigType> {
    connection: Connection;
    channel: Channel;
    protected defaultConfig: {
        url: string;
        consume: boolean;
    };
    protected assertedQueues: string[];
    init(): Promise<void>;
    assertQueue(queue: string, options?: Options.AssertQueue): Promise<import("amqplib").Replies.AssertQueue>;
    /**
     * Publish the message to the queue
     *
     * @param queue
     * @param message
     * @param options
     */
    publish(queue: string, message: any, options?: Options.Publish): boolean;
    /**
     * Consume a message
     * @param queue
     * @param handler
     * @param options
     */
    consume(queue: string, handler: any, options?: Options.Consume): void;
    shutdown(): Promise<void>;
}
