"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ecosystem_1 = require("./ecosystem");
const RabbitMQBundle_1 = require("../RabbitMQBundle");
test("should work", async () => {
    const kernel = ecosystem_1.createKernel();
    await kernel.init();
    const mq = kernel.container.get(RabbitMQBundle_1.RabbitMQBundle);
    const QUEUE_NAME = "aaa";
    await mq.channel.deleteQueue(QUEUE_NAME);
    await mq.assertQueue(QUEUE_NAME);
    return new Promise(async (finished, reject) => {
        try {
            mq.consume(QUEUE_NAME, async (result) => {
                expect(result.result).toBe(1);
                finished();
                setTimeout(() => {
                    kernel.shutdown();
                }, 1000);
            }, {
            // noAck: true,
            });
            mq.publish(QUEUE_NAME, {
                result: 1,
            });
        }
        catch (err) {
            reject(err);
        }
    });
});
//# sourceMappingURL=index.js.map